Package org.apache.commons.math3.geometry.euclidean.threed

# Class CardanEulerSingularityException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalStateException
org.apache.commons.math3.exception.MathIllegalStateException
org.apache.commons.math3.geometry.euclidean.threed.CardanEulerSingularityException

All Implemented Interfaces:
  `Serializable`, `ExceptionContextProvider`

public class CardanEulerSingularityException extends MathIllegalStateException
This class represents exceptions thrown while extractiong Cardan or Euler angles from a rotation.

Since:
  1.2
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CardanEulerSingularityException(boolean isCardan)`
Simple constructor.

## Method Summary

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalStateException

`getContext, getLocalizedMessage, getMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CardanEulerSingularityException

public CardanEulerSingularityException(boolean isCardan)
Simple constructor. build an exception with a default message.

Parameters:
  `isCardan` - if true, the rotation is related to Cardan angles, if false it is related to EulerAngles